
package = 'lua-cjson'
version = '2.1.0.14-1'
source = {
  tag = "2.1.0.14",
  url = "git+https://github.com/openresty/lua-cjson",
 }
description = {
  detailed = "        The Lua CJSON module provides JSON support for Lua. It features:\
        - Fast, standards compliant encoding/parsing routines\
        - Full support for JSON with UTF-8, including decoding surrogate pairs\
        - Optional run-time support for common exceptions to the JSON specification\
          (infinity, NaN,..)\
        - No dependencies on other libraries\
    ",
  homepage = "http://www.kyne.com.au/~mark/software/lua-cjson.php",
  license = "MIT",
  summary = "A fast JSON encoding/parsing module",
 }
build = {
  copy_directories = {
   "tests",
  },
  install = {
   bin = {
    json2lua = "lua/json2lua.lua",
    lua2json = "lua/lua2json.lua",
   },
   lua = {
    ["cjson.util"] = "lua/cjson/util.lua",
   },
  },
  modules = {
   cjson = {
    defines = {},
    sources = {
     "lua_cjson.c",
     "strbuf.c",
     "fpconv.c",
    },
   },
   ["cjson.safe"] = {
    sources = {
     "lua_cjson.c",
     "strbuf.c",
     "fpconv.c",
    },
   },
  },
  platforms = {
   win32 = {
    modules = {
     cjson = {
      defines = {
       "DISABLE_INVALID_NUMBERS",
       "USE_INTERNAL_ISINF",
      },
     },
    },
   },
  },
  type = "builtin",
 }
dependencies = {
  "lua >= 5.1",
 }